Bug 176688

Summary: [css-grid] Use transferred size over content size for automatic minimum size
Product: WebKit Reporter: Manuel Rego Casasnovas <rego>
Component: Layout and RenderingAssignee: Manuel Rego Casasnovas <rego>
Status: RESOLVED FIXED    
Severity: Normal CC: bfulgham, commit-queue, jfernandez, simon.fraser, svillar, webkit-bug-importer, zalan
Priority: P2 Keywords: BlinkMergeCandidate, InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.chromium.org/p/chromium/issues/detail?id=763265
Bug Depends on:    
Bug Blocks: 60731    
Attachments:
Description Flags
Patch none

Description Manuel Rego Casasnovas 2017-09-11 05:59:17 PDT
CSS WG has agreed to modify the spec so now the transferred size is used
(if it exists) independently if it's bigger or smaller
than the content size.
See: https://github.com/w3c/csswg-drafts/issues/1149

The spec text (https://drafts.csswg.org/css-grid/#min-size-auto):
  "The automatic minimum size for a grid item in a given dimension is
   its specified size if it exists, otherwise its transferred size
   if that exists, else its content size"
Comment 1 Manuel Rego Casasnovas 2017-09-11 06:05:05 PDT
Created attachment 320427 [details]
Patch
Comment 2 Javier Fernandez 2017-09-11 06:16:35 PDT
Comment on attachment 320427 [details]
Patch

The patch looks good to me, regarding grid's logic changes.
Comment 3 Sergio Villar Senin 2017-09-12 03:31:22 PDT
Comment on attachment 320427 [details]
Patch

Really happy to see that code being deleted.
Comment 4 WebKit Commit Bot 2017-09-12 04:30:52 PDT
Comment on attachment 320427 [details]
Patch

Clearing flags on attachment: 320427

Committed r221910: <http://trac.webkit.org/changeset/221910>
Comment 5 WebKit Commit Bot 2017-09-12 04:30:54 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2017-09-27 12:32:34 PDT
<rdar://problem/34693453>